%global momorel 2
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 6m
%global kdebaserel 14m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: A KDE frontend for ndiswrapper
Name: kndiswrapper
Version: 0.3.9
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://www.linux-specialist.com/
Group: Applications/System
Source0: http://www.linux-specialist.com/download/source/%{name}-%{version}.tar.gz
NoSource: 0
Source1: %{name}.desktop
Patch0: %{name}-%{version}-make-translations.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdebase3 >= %{kdever}-%{kdebaserel}
Requires: ndiswrapper
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: qt3-designer >= %{qtver}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}

%description
KNDISwrapper is a Qt based frontend for ndiswrapper,
which gives users an easy way to install the Windows wireless drivers.
It comes along with a dialog to setup the wireless interface for network
operation.

%prep
%setup -q

%patch0 -p1 -b .make

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/32x32/apps/kndiswrapper.png %{buildroot}%{_datadir}/pixmaps/kndiswrapper.png

# install desktop file
mkdir -p %{buildroot}%{_datadir}/applications/kde
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/kde/

# clean up
rm -f  %{buildroot}%{_datadir}/applnk/Utilities/kndiswrapper.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL
%{_bindir}/kndiswrapper
%{_datadir}/applications/kde/kndiswrapper.desktop
%{_datadir}/apps/kndiswrapper
%{_datadir}/doc/HTML/*/kndiswrapper
%{_datadir}/icons/hicolor/*/apps/kndiswrapper.png
%{_datadir}/pixmaps/kndiswrapper.png

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.9-2m)
- rebuild against rpm-4.6

* Sun Jan 18 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.9-1m)
- version 0.3.9
- update make-translations.patch

* Thu Nov 20 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.7-1m)
- version 0.3.7
- update make-translations.patch

* Sat Oct  4 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.5-1m)
- version 0.3.5
- add make-translations.patch (to enable build)

* Tue Sep  9 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.4-1m)
- initial package for wifi freakes using Momonga Linux
- Summary and %%description are imported from
  ndiswrapper-0.3.4-SuSE_10.3.src.rpm
